{
  "name": "backend",
  "version": "0.0.1",
  "description": "x",
  "author": "Paths",
  "license": "MIT",
  "scripts": {
    "generate:schema": "./node_modules/.bin/ts-node src/modules/graphql/schema-generator.ts",
    "prebuild": "./node_modules/.bin/rimraf dist/*",
    "build": "./node_modules/.bin/tsc",
    "start": "./node_modules/.bin/ts-node -r tsconfig-paths/register src/main.ts",
    "prewebpack": "./node_modules/.bin/rimraf .hot/*",
    "webpack": "./node_modules/.bin/webpack --config webpack.config.js",
    "start:hot": "HOT=true node .hot/server",
    "prestart:dev": "./node_modules/.bin/yarn generate:schema",
    "start:dev": "./node_modules/.bin/nodemon -q",
    "start:debug": "./node_modules/.bin/nodemon --config nodemon-debug.json",
    "prestart:prod": "./node_modules/.bin/yarn build",
    "start:prod": "NODE_ENV=production node -r ./tsconfig-paths-bootstrap.js dist/main.js",
    "format": "./node_modules/.bin/prettier --write \"src/**/*.ts\"",
    "lint": "./node_modules/.bin/tslint -p tsconfig.json -c tslint.json --fix"
  },
  "husky": {
    "hooks": {
      "pre-commit": "./node_modules/.bin/yarn lint"
    }
  },
  "dependencies": {
    "@nestjs/common": "^6.11.6",
    "@nestjs/core": "^6.11.6",
    "@nestjs/graphql": "^6.5.4",
    "@nestjs/platform-express": "^6.11.6",
    "@nestjs/platform-fastify": "^7.1.0",
    "@nestjs/typeorm": "^6.2.0",
    "@sindresorhus/slugify": "^0.10.0",
    "apollo-server-express": "^2.10.0",
    "apollo-server-fastify": "^2.13.1",
    "bcrypt": "^4.0.1",
    "body-parser": "^1.19.0",
    "dotenv": "^8.2.0",
    "graphql": "^14.6.0",
    "graphql-depth-limit": "^1.1.0",
    "graphql-resolvers": "^0.4.2",
    "graphql-tools": "^4.0.6",
    "graphql-voyager": "^1.0.0-rc.28",
    "jsonwebtoken": "^8.5.1",
    "mnemonist": "^0.32.0",
    "mongodb": "3.5.2",
    "nest-schedule": "^0.6.4",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.1",
    "rxjs": "^6.5.4",
    "tsconfig-paths": "^3.9.0",
    "typeorm": "^0.2.22",
    "uuid": "^3.4.0"
  },
  "devDependencies": {
    "@types/bcrypt": "^3.0.0",
    "@types/crypto-js": "^3.1.43",
    "@types/dotenv": "^8.2.0",
    "@types/express": "^4.17.2",
    "@types/jsonwebtoken": "^8.3.7",
    "@types/node": "^13.7.0",
    "@types/uuid": "^3.4.7",
    "@types/webpack-env": "^1.15.1",
    "chalk": "^2.4.2",
    "husky": "^3.1.0",
    "nodemon": "^2.0.2",
    "prettier": "^1.19.1",
    "ts-loader": "^6.2.1",
    "ts-node": "^8.6.2",
    "tslint": "^6.0.0",
    "tslint-plugin-prettier": "^2.1.0",
    "typescript": "^3.7.5",
    "webpack": "^4.41.5",
    "webpack-cli": "^3.3.10",
    "webpack-node-externals": "^1.7.2",
    "yarn": "^1.22.0"
  }
}
